Bug 181416 - panic when ripping CD[Hardware, Nvidia, Old IDE]
panic when ripping CD[Hardware, Nvidia, Old IDE]
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-13 16:27 EST by David Juran
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 11:38:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
panic (2.07 KB, text/plain)
2006-02-13 16:29 EST, David Juran
no flags Details

  None (edit)
Description David Juran 2006-02-13 16:27:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
After running sound-juicer for a few minutes, my machine panics. I'm attaching the logfile from my serial console. The problem is fully reproducible. The CD-player is a _NEC DVD_RW ND-2510A

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1. start sound-juicer
2. brace for impact
3.
  

Additional info:
Comment 1 David Juran 2006-02-13 16:29:42 EST
Created attachment 124577 [details]
panic
Comment 2 David Juran 2006-02-13 16:49:26 EST
Adding the boot parameter 'ide=nodma' makes the problem go away.
Comment 3 Dave Jones 2006-09-16 21:41:28 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 4 David Juran 2006-09-18 14:03:40 EDT
Still happens with kernel-2.6.17-1.2187_FC5 if DMA isn't explicitly disabled for
that specific drive.
Comment 5 Dave Jones 2006-10-16 16:23:22 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 David Juran 2006-10-17 15:21:19 EDT
Still happens with 2.6.18-1.2200.fc5 if DMA isn't explicitly disabled for
that specific drive.
Comment 7 Dave Jones 2006-10-17 19:40:20 EDT
erk, that panic is actually a machine check exception which is usually
indicative of a hardware problem.  Does this system survive a run of memtest86+ ?

It is unusual that it survives if DMA is off though. If anything that would be
more CPU intensive, so more likely to provoke flaky hardware.

Alan ?
Comment 8 Alan Cox 2006-10-18 05:57:01 EDT
I've seen this before when the system has hardware problems to do with PCI or
bus arbitration rather than the memory dimms themselves. 

The machine check is pretty good evidence the machine is feeling ill.
Comment 9 David Juran 2006-10-23 14:54:01 EDT
Hello.

Just ran memtest86+ without any errors. Do note that this machine does not have
any problems at all except in this specific case which is 100% reproducible.
Turning DMA off for this drive using hdparm makes everything work fine again. My
other DVD connected to hdb (the faulty one is hda) works fine with DMA. Could it
be flaky firmware in the drive or maybe my specific drive that is somewhat broken?

Comment 10 Alan Cox 2006-10-24 08:04:16 EDT
Its a very strange report. The MCE is coming from the CPU and from the trace I
would guess that an inb() from the controller (a request for data from it)
stalled forever and the CPU objected.

What hardware is in the system -e specially what disk controller ?
Comment 11 David Juran 2006-10-24 12:52:20 EDT
It's a ASUS A8N-SLI Motherboard with a single dual-core AMD64 CPU. The
disk-controller identifies itself as (lspci -vvv)

00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2) (prog-if 8a [Master
SecP PriP])
        Subsystem: ASUSTeK Computer Inc. K8N4-E Mainboard
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0 (750ns min, 250ns max)
        Region 4: I/O ports at f000 [size=16]
        Capabilities: [44] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
Comment 12 Alan Cox 2007-09-10 11:38:34 EDT
Closing as there will be no further work done on nvidia old-ide and because the
MCE indicates a hardware fault

Note You need to log in before you can comment on or make changes to this bug.